SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Variables
CCRakNetUDT.cpp File Reference
`#include "slikenet/CCRakNetUDT.h"`
`#include "slikenet/Rand.h"`
`#include "slikenet/MTUSize.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include "slikenet/assert.h"`
`#include "slikenet/alloca.h"`

Go to the source code of this file.

## Macros

#define | MAX_RTT 1000000
#define | RTT_TOLERANCE 30000

## Variables

static const double | UNSET_TIME_US =-1
static const double | CWND_MIN_THRESHOLD =2.0
static const double | UNDEFINED_TRANSFER_RATE =0.0
static const CCTimeType | SYN =10000
double | RTTVarMultiple =4.0

## Macro Definition Documentation

#define MAX_RTT 1000000

Definition at line 48 of file CCRakNetUDT.cpp.

#define RTT_TOLERANCE 30000

Definition at line 49 of file CCRakNetUDT.cpp.

## Variable Documentation

const double CWND_MIN_THRESHOLD =2.0

static

Definition at line 32 of file CCRakNetUDT.cpp.

double RTTVarMultiple =4.0

Definition at line 53 of file CCRakNetUDT.cpp.

const CCTimeType SYN =10000

static

Interval at which to update aspects of the system

1. send acks
2. update time interval between outgoing packets 3, Yodate retransmit timeout

Definition at line 41 of file CCRakNetUDT.cpp.

const double UNDEFINED_TRANSFER_RATE =0.0

static

Definition at line 33 of file CCRakNetUDT.cpp.

const double UNSET_TIME_US =-1

static

Definition at line 31 of file CCRakNetUDT.cpp.